Bug 1511674 - Review Request: ghc-cond - Basic conditional and boolean operators with monadic variants
Summary: Review Request: ghc-cond - Basic conditional and boolean operators with monad...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1511676
TreeView+ depends on / blocked
 
Reported: 2017-11-09 20:25 UTC by David Shea
Modified: 2017-11-28 23:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 16:20:21 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description David Shea 2017-11-09 20:25:53 UTC
Spec URL: https://raw.githubusercontent.com/weldr/bdcs-copr/master/ghc-cond/ghc-cond.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/fedora-27-x86_64/00606366-ghc-cond/ghc-cond-0.4.1.1-1.fc27.src.rpm
Description: This library provides:

* Implementations of various overloaded conditional operations

* Lifted monadic variants of those operations and common boolean operators

* A typeclass for boolean algebras.

Feel free to send ideas and suggestions for new conditional operators to the
maintainer.

Monadic looping constructs are not included as part of this package, since the
monad-loops package has a fairly complete collection of them already.


Fedora Account System Username: dshea

Comment 1 Robert-André Mauchin 🐧 2017-11-09 23:08:30 UTC
Package accepted.

Comment 2 Gwyn Ciesla 2017-11-10 16:54:05 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-cond

Comment 3 Fedora Update System 2017-11-14 04:08:46 UTC
ghc-cond-0.4.1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c5976dc82b

Comment 4 Fedora Update System 2017-11-14 10:56:46 UTC
ghc-cond-0.4.1.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa1eae13d9

Comment 5 Fedora Update System 2017-11-28 16:20:21 UTC
ghc-cond-0.4.1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-11-28 23:47:20 UTC
ghc-cond-0.4.1.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.